summaryrefslogtreecommitdiffstats
path: root/audio/fst
diff options
context:
space:
mode:
author Michales Michaloudes <korgie@gmail.com>2011-12-14 16:37:20 -0600
committer Niels Horn <niels.horn@slackbuilds.org>2011-12-18 00:07:50 -0200
commitcffcaf0498a505158a9553918fbaa2e69d11389c (patch)
tree4073f58a62ca0858aa3fed1d13d334a74a5387fa /audio/fst
parent0071155ccdec7c91315f8fa2740807f85a0dcd0a (diff)
downloadslackbuilds-cffcaf0498a505158a9553918fbaa2e69d11389c.tar.gz
slackbuilds-cffcaf0498a505158a9553918fbaa2e69d11389c.tar.xz
audio/fst: Added (VST audio plugin wrapper)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'audio/fst')
-rw-r--r--audio/fst/README4
-rw-r--r--audio/fst/fst.SlackBuild71
-rw-r--r--audio/fst/fst.info10
-rw-r--r--audio/fst/slack-desc19
4 files changed, 104 insertions, 0 deletions
diff --git a/audio/fst/README b/audio/fst/README
new file mode 100644
index 0000000000..9618d7b5b7
--- /dev/null
+++ b/audio/fst/README
@@ -0,0 +1,4 @@
+FST is a program by which uses Wine, JACK, and Steinberg's VST
+Audio Plug-Ins SDK to enable the use of many VST audio plugins.
+
+This requires jack-audio-connection-kit and wine. lash is optional.
diff --git a/audio/fst/fst.SlackBuild b/audio/fst/fst.SlackBuild
new file mode 100644
index 0000000000..ea9f15425c
--- /dev/null
+++ b/audio/fst/fst.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/sh
+
+# Slackware build script for <fst>
+# Written by Michales Michaloudes korgie@gmail.com
+
+PRGNAM=fst
+VERSION=${VERSION:-2011jan31}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS" make
+
+# Copy the executable
+mkdir -p $PKG/usr/bin
+# wine wants fst.exe.so to /usr/bin (!)
+cp -a fst.exe fst.exe.so $PKG/usr/bin
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/fst/fst.info b/audio/fst/fst.info
new file mode 100644
index 0000000000..c35282792d
--- /dev/null
+++ b/audio/fst/fst.info
@@ -0,0 +1,10 @@
+PRGNAM="fst"
+VERSION="2011jan31"
+HOMEPAGE="http://www.joebutton.co.uk/fst/"
+DOWNLOAD="http://users.otenet.gr/~korgman/fst-2011jan31.tar.gz"
+MD5SUM="a455ca34b1c07c6d6d496d47d99d2ce0"
+DOWNLOAD_x86_64="UNSUPPORTED"
+MD5SUM_x86_64=""
+MAINTAINER="Michales Michaloudes"
+EMAIL="korgie@gmail.com"
+APPROVED="rworkman"
diff --git a/audio/fst/slack-desc b/audio/fst/slack-desc
new file mode 100644
index 0000000000..aa787108dd
--- /dev/null
+++ b/audio/fst/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+fst: FST (VST audio plugin wrapper)
+fst:
+fst: FST is a program by which uses Wine, JACK, and Steinberg's VST
+fst: Audio Plug-Ins SDK to enable the use of many VST audio plugins.
+fst:
+fst: FST was written by Torben Hohn and Paul Davis, with inspiration
+fst: from Kjetil Mattheussen.
+fst:
+fst:
+fst:
+fst: